/*
 BASEURL: 说明
  1. 本地开发调试： 小程序修改该url即可；H5则无需关心，H5修改manifest.json中h5相关Proxy配置即可
  2. 打包生产模式： 小程序切换url； H5切换ENV_MODEL
 */
let BASEURL = {
  // url: "https://botms-demo.logwirecloud.com", //TMS
  // url: "https://miniapp.logwirecloud.com", //TMS
  // url: 'http://122.9.90.247:8092' //YMS
  // url: 'http://192.168.0.218:8080' //于晓龙
  // url: 'http://192.168.0.230:8080' //梅小晗
  // url: "http://192.168.1.199:7080", //唐浩然
  url: "http://122.112.220.204:1080", //wlj bo 
  // url: "http://127.0.0.1:8001", //hgl
  
};

//当使用多域名代理服务时生效，用于统一添加API前缀以区分服务代理地址。本地开发H5注意修改manifest.json中Proxy代理规则
const APIPrefix = '' //TMS项目
// const APIPrefix = "/testMaster"; //体验版测试环境: Test Master
// const APIPrefix = "/tmsdemo"; //正式版环境: TMS Demo
// const APIPrefix = '/sandtable' //沙盘演示项目
// const APIPrefix = '/tmsca' //三方物流项目

//H5打包环境区分：打包时手动切换，添加新的环境变量时，注意同步修改APP.vue 和loginBehavior.js中环境判断逻辑
const ENV_MODEL = {
  model: 'UAT', //测试环境
  // model: "PROD", //生产环境
};

//用于数据请求时替换所有API接口的{mini}
let MINI = {
  h5Prod: "biz-driver-wxh5", //生产项目名
  h5Uat: "biz-driver-wxh5", //测试项目名
  h5Dev: "biz-driver-H5Test", //开发项目名
  web: "biz-driver-web",
  wxApp: "biz-driver-wxapp", //小程序项目名
};

//仅用于H5换取用户授权Code使用，后端可用此Code换取用户OpenId等信息
let APP_ID = {
  h5Prod: "wxf93adc8626c0ac49", //生产公众号appid
  h5Uat: "wxf93adc8626c0ac49", //测试公众号appid
  h5Dev: "wx681abf7ab88946b7", //开发公众号appid
};

//登录方式
let LOGIN_ACTION = {
  wxApp: "loginByPhone",
  h5: "loginByVerifyCode",
};
const TokenPrefix = "driver"; // Token && XSRFToken 前缀, 避免运行于WEB端时，打开多端Token覆盖、混淆问题

let SAFETY_INSTRUCTION = `      为规范和提高物流区域安全管理水平，确保物流区域作业的安全，制定物流区域安全违规处罚细则。进入重庆啤酒宜宾有限责任公司物流区域的承包商及个人，均适用本规定细则。公司将严格按照本规定细则对违规行为进行处罚。

一、安全违规条目
一类违规（重大违反项目）
1.1不遵守高危作业相关规定，如高空作业未系安全带、违规攀爬车厢等。
1.2使用移动登高工具，人员站在上面时移动登高工具；
1.2没有特种作业证，操作特种设备。
1.3在工厂内喝酒，在非吸烟区吸烟。
1.4在工厂内打架、斗殴或盗窃公司财物。
1.5未经允许擅自动用消防应急设施。
1.6在物流区域休息区外睡觉；
1.7多次发现并督促整改下，违规行为依然重复发生；
1.8其它严重违规或不服从工厂安全管理的行为（如强入门岗等）。

二类违规（较大违反项目）

2.1未经授权进入库房；

2.2携带小孩或宠物进入工厂；

2.3使用移动登高工具(梯子、脚手架、移动平台、移动吊臂等）不戴安全帽;

2.4擅自使用工厂的设备、工具而没有经过工厂相关人员同意。

2.5没有做好安全保护措施或由于违章操作造成财产损失、发生险情或险肇事故的。

三类违规（一般违反项目）

3.1上下货车车厢不使用登高梯、移动平台或专用登高点；

3.2临边装卸货物不使用移动平台；

3.2停车占用人行通道及消防逃生路线；

3.3没有经过安全培训，进入物流区域。

3.4进入厂区车辆速度超过15公里/小时。

四类违规（较小违反项目）

4.1进入物流区域未按照规定要求穿戴安全帽、防护眼镜、反光衣、安全鞋等劳保用品。

4.3进入物流区域衣冠不整洁，敞胸露背。

4.4货车停车不使用三角木（止滑块）；

二、处罚额度

           本罚款标准只适用于每人每次，多人单次或单人多次罚款总额将累计执行，一类违规行为罚款400元人民币/人次；二类违规行为罚款200元人民币/人次；三类违规行为罚款100元人民币/人次；四类违规行为罚款50元人民币/人次;上述违规同时存在时，按罚金高的标准进行处罚。 `;

module.exports = {
  BASEURL,
  MINI,
  APP_ID,
  LOGIN_ACTION,
  SAFETY_INSTRUCTION,
  ENV_MODEL,
  TokenPrefix,
  APIPrefix,
};
